<?php
/**
 * Functions which enhance the theme by hooking into WordPress
 *
 * @package tr_salon_lite
 */

/**
 * Adds custom classes to the array of body classes.
 *
 * @param array $classes Classes for the body element.
 * @return array
 */
function tr_salon_lite_body_classes( $classes ) {
	// Adds a class of hfeed to non-singular pages.
	if ( ! is_singular() ) {
		$classes[] = 'hfeed';
	}

	return $classes;
}
add_filter( 'body_class', 'tr_salon_lite_body_classes' );

/**
 * Add a pingback url auto-discovery header for single posts, pages, or attachments.
 */
function tr_salon_lite_pingback_header() {
	if ( is_singular() && pings_open() ) {
		echo '<link rel="pingback" href="', esc_url( get_bloginfo( 'pingback_url' ) ), '">';
	}
}
add_action( 'wp_head', 'tr_salon_lite_pingback_header' );

/**
 * Find out the name of the gallery tag using id.
 */
function tr_salon_lite_gallery_tag_name( $tag_id ) {

    $tag_id = (int) $tag_id;

    $tag = get_term( $tag_id, 'gallery-tags' );
    
    if ( ! $tag || is_wp_error( $tag ) )
            return '';
    return $tag->name;

}
