<?php 

/*Template Name: Blog*/

/**
 * The template for displaying blog page
 *
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package tr_salon_lite
 */

 get_header(); ?>

 	<section id="blog">
		<div class="container">
			<div class="row">
				<div class="<?php tr_salon_lite_content_layout(); ?>">
					<?php

					if ( get_query_var( 'paged' ) ) { $paged = get_query_var( 'paged' ); }
				    elseif ( get_query_var( 'page' ) ) { $paged = get_query_var( 'page' ); }
				    else { $paged = 1; }

					$blog_posts = new WP_Query(array(
						'post_type' => 'post',
						'paged' => $paged

					));

					if ( $blog_posts->have_posts() ) :

						if ( is_home() && ! is_front_page() ) :
							?>
							<header>
								<h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
							</header>
							<?php
						endif;

						/* Start the Loop */
						while ( $blog_posts->have_posts() ) :
							$blog_posts->the_post();

							/*
							 * Include the Post-Type-specific template for the content.
							 * If you want to override this in a child theme, then include a file
							 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
							 */
							get_template_part( 'template-parts/content', get_post_type() );

						endwhile;

						echo '<div class="text-center"><div class="pagination">';
						        $GLOBALS['wp_query']->max_num_pages = $blog_posts->max_num_pages;
				                the_posts_pagination( array(
				                    'prev_text' => '<i class="fa fa-angle-left" aria-hidden="true"></i>',
				                    'next_text' => '<i class="fa fa-angle-right" aria-hidden="true"></i>',
				                ) ); 
				        echo '</div></div>';

					else :

						get_template_part( 'template-parts/content', 'none' );

					endif;
					?>
				</div><!-- /.end of col-md-8 -->
				<?php get_sidebar(); ?>
			</div><!-- /.end of row -->
		</div><!-- /.end of container -->
	</section><!-- /#end of blog section -->

<?php
get_footer();

 