<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package tr_salon_lite
 */

get_header();
?>

	<section id="blog" class="page">
		<div class="container">
			<div class="row">
				<div class="<?php tr_salon_lite_content_layout(); ?>">
					<?php if ( have_posts() ) : ?>
						<header class="page-header">
							<h1 class="page-title">
								<?php
								/* translators: %s: search query. */
								printf( esc_html__( 'Search Results for: %s', 'tr-salon-lite' ), '<span>' . get_search_query() . '</span>' );
								?>
							</h1>
						</header><!-- .page-header -->

						<?php
						/* Start the Loop */
						while ( have_posts() ) :
							the_post();

							/**
							 * Run the loop for the search to output the results.
							 * If you want to overload this in a child theme then include a file
							 * called content-search.php and that will be used instead.
							 */
							get_template_part( 'template-parts/content', 'search' );

						endwhile;

						tr_salon_lite_pagination();

					else :

						get_template_part( 'template-parts/content', 'none' );

					endif;
					?>

				</div><!-- /.end of col-md-8 -->
				<?php get_sidebar(); ?>
			</div><!-- /.end of row -->
		</div><!-- /.end of container -->
	</section><!-- /#end of blog section -->

<?php
get_footer();
