<?php
/**
 * Template part for displaying author information
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package tr_salon_lite
 */
?>
<div class="about-author">
	<h2><?php esc_html_e( 'About Author', 'tr-salon-lite' ); ?></h2>
	<p><?php the_author_meta('description'); ?></p>
	<div class="author">
		<?php echo get_avatar( get_the_author_meta( 'ID' )); ?>
		<div class="author-text">
			<?php if( is_author() ): ?>
					<h4><?php the_author(); ?></h4>
			<?php else: ?>
				 <h4><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>"><?php the_author(); ?></a></h4>
			<?php endif; ?>
			<ul class="list-inline">
				<?php if( get_the_author_meta( 'user_url' ) ): ?>
					<li><a href="<?php echo esc_url( get_the_author_meta( 'user_url' ) ); ?>"><i class="fa fa-globe" aria-hidden="true"></i></a></li>
				<?php endif; ?>
				<?php if( get_the_author_meta( 'facebook' ) ): ?>
					<li><a href="<?php echo esc_url( get_the_author_meta( 'facebook' ) ); ?>"><i class="fa fa-facebook" aria-hidden="true"></i></a></li>
				<?php endif; ?>
				<?php if( get_the_author_meta( 'twitter' ) ): ?>
					<li><a href="<?php echo esc_url( get_the_author_meta( 'twitter' ) ); ?>"><i class="fa fa-twitter" aria-hidden="true"></i></a></li>
				<?php endif; ?>
				<?php if( get_the_author_meta( 'instagram' ) ): ?>
					<li><a href="<?php echo esc_url( get_the_author_meta( 'instagram' ) ); ?>"><i class="fa fa-instagram" aria-hidden="true"></i></a></li>
				<?php endif; ?>
				<?php if( get_the_author_meta( 'google-plus' ) ): ?>
					<li><a href="<?php echo esc_url( get_the_author_meta( 'google-plus' ) ); ?>"><i class="fa fa-google-plus" aria-hidden="true"></i></a></li>
				<?php endif; ?>
				<?php if( get_the_author_meta( 'pinterest' ) ): ?>
					<li><a href="<?php echo esc_url( get_the_author_meta( 'pinterest' ) ); ?>"><i class="fa fa-pinterest" aria-hidden="true"></i></a></li>
				<?php endif; ?>
			</ul><!-- /.end of list-inline -->
		</div><!-- /.end of author-text -->
	</div><!-- /.end of author -->
</div><!-- /.end of about-author -->